
Figure - Bug #113942
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.android.deskclock（1）
2022-11-14 16:17 - CD Test赵飞

Status: CLOSED Start date: 2022-11-14

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211110608

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.deskclock (pid 4123)

ANR in com.android.deskclock (com.android.deskclock/.ScreensaverActivity)

PID: 4123

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.deskclock/.ScreensaverActivity

ErrorId: 27a5a5ac-5844-4310-b64b-e0985fee49df

Frozen: false

Load: 3.83 / 2.9 / 3.03

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=5320082

full avg10=0.00 avg60=0.00 avg300=0.00 total=2553196

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 18891ms later (2022-11-11 13:10:51.182 to 2022-11-11 13:11:10.073):

  98% 1058/sensors.qti: 21% user + 76% kernel

  66% 1232/tlog: 2.1% user + 64% kernel / faults: 3 minor

  40% 4797/tlog: 1.2% user + 39% kernel / faults: 2 minor

  32% 1123/system_server: 8.1% user + 24% kernel / faults: 28261 minor

  25% 956/vendor.qti.hardware.display.composer-service: 6.8% user + 18% kernel / faults: 235 minor

  21% 4123/com.android.deskclock: 13% user + 8.2% kernel / faults: 1937 minor

  15% 1047/surfaceflinger: 7.1% user + 8.8% kernel / faults: 2061 minor

  8.4% 1329/media.codec: 3.1% user + 5.3% kernel / faults: 22526 minor

  8.7% 1403/media.swcodec: 1.6% user + 7% kernel / faults: 11288 minor

  7.4% 2941/com.hht.lebocast: 3.7% user + 3.7% kernel / faults: 1105 minor

  6.7% 2004/com.android.systemui: 4.4% user + 2.3% kernel / faults: 4711 minor
  4.4% 502/logd: 0.5% user + 3.8% kernel

...

【日志】

Tlog和ANR目录见FTP：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113739/Tlog&#38;ANR.zip

History

#1 - 2022-11-15 09:49 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2022-11-16 19:47 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-12-05 17:37 - CD APP-王营

- Due date changed from 2022-11-21 to 2022-11-15

#4 - 2022-12-14 11:04 - CD APP-王营

- Due date changed from 2022-11-15 to 2022-12-15

#5 - 2022-12-27 16:21 - CD APP-王营

- Status changed from New to ASSIGNED

#6 - 2022-12-27 17:13 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#7 - 2022-12-27 17:14 - CD APP-王营

- Assignee changed from CD APP-王营 to CD Test赵飞

#8 - 2022-12-28 14:56 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#9 - 2022-12-28 14:56 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
